Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.antlr
[Java] Class AntlrTask

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.api.plugins.antlr.AntlrTask

    public class AntlrTask
    extends SourceTask

Gradle task for executing Antlr generations. Wrapper around the Ant org.apache.tools.ant.taskdefs.optional.ANTLR task.

Most properties here are self-evident, but I wanted to highlight one in particular: setAntlrClasspath is used to define the classpath that should be passed along to the Ant org.apache.tools.ant.taskdefs.optional.ANTLR task as its classpath. That is the classpath it uses to perform generation execution. This should really only require the antlr jar. In AntlrPlugin usage, this would happen simply by adding your antlr jar into the 'antlr' dependency configuration created and exposed by the AntlrPlugin itself.

Authors:
  Steve Ebersole

Method Summary
`void` | `generate()`
`FileCollection` | `getAntlrClasspath()`
`java.io.File` | `getOutputDirectory()`
`boolean` | `isTrace()`
`boolean` | `isTraceLexer()`
`boolean` | `isTraceParser()`
`boolean` | `isTraceTreeWalker()`
`void` | `setAntlrClasspath(FileCollection antlrClasspath)`
`void` | `setOutputDirectory(java.io.File outputDirectory)`
`void` | `setTrace(boolean trace)`
`void` | `setTraceLexer(boolean traceLexer)`
`void` | `setTraceParser(boolean traceParser)`
`void` | `setTraceTreeWalker(boolean traceTreeWalker)`

Methods inherited from class SourceTask
exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source

Method Detail

### generate

    tion
    	public
    public void generate()

### getAntlrClasspath

    @InputFiles
    	public
    public FileCollection getAntlrClasspath()

### getOutputDirectory

    @OutputDirectory
    	public
    public java.io.File getOutputDirectory()

### isTrace

    public boolean isTrace()

### isTraceLexer

    public boolean isTraceLexer()

### isTraceParser

    public boolean isTraceParser()

### isTraceTreeWalker

    public boolean isTraceTreeWalker()

### setAntlrClasspath

    public void setAntlrClasspath(FileCollection antlrClasspath)

### setOutputDirectory

    public void setOutputDirectory(java.io.File outputDirectory)

### setTrace

    public void setTrace(boolean trace)

### setTraceLexer

    public void setTraceLexer(boolean traceLexer)

### setTraceParser

    public void setTraceParser(boolean traceParser)

### setTraceTreeWalker

    public void setTraceTreeWalker(boolean traceTreeWalker)

Groovy Documentation